package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.Industry.IndustryDataAddRequest;
import com.ruoyi.web.domain.dto.Industry.IndustryDataEditRequest;
import com.ruoyi.web.domain.dto.Industry.IndustryDataQueryRequest;
import com.ruoyi.web.domain.entity.IndustryData;
import com.ruoyi.web.domain.vo.TimeAndValueVo.TimeAndValueVo;

import java.util.List;

/**
 *
 */
public interface IndustryDataService extends IService<IndustryData> {
    Integer addIndustryData(IndustryDataAddRequest industryDataAddRequest);

    boolean deleteIndustryData(String ids);

    void editIndustryData(IndustryDataEditRequest industryDataEditRequest);

    IndustryData getIndustryDataById(int id);

    Page<IndustryData> getListIndustryDataByPage(IndustryDataQueryRequest industryDataQueryRequest);

    List<TimeAndValueVo> listGroupByYear();

    TimeAndValueVo listGroupByYearTwo(int year);

    List<TimeAndValueVo> listLaoWu();

}
